diff -Naur HairyDairyMaid_WRT54G_Debrick_Utility_v48.orig/byteswap.c HairyDairyMaid_WRT54G_Debrick_Utility_v48/byteswap.c
--- HairyDairyMaid_WRT54G_Debrick_Utility_v48.orig/byteswap.c	1970-01-01 01:00:00.000000000 +0100
+++ HairyDairyMaid_WRT54G_Debrick_Utility_v48/byteswap.c	2008-02-21 17:40:36.000000000 +0100
@@ -0,0 +1,25 @@
+/* taken from user rmax (thanks)
+ * (see: http://k0.j0t.de/index.php/topic,300.0.html)
+ *
+ * patched by: Sven Bachmann, 2007
+ *   - removed gcc warnings
+ *
+ * usage:
+ *   ./byteswap <inputfile >outputfile
+ */
+
+#include <unistd.h>
+#include <byteswap.h>
+int main()
+{
+    unsigned int buffer[1024];
+    int size, i;
+    while ((size = read(0, buffer, 1024)) > 0) {
+	for (i=0; i<size/4; i++) {
+	    buffer[i] = bswap_32(buffer[i]);
+	}
+	write(1, buffer, size);
+    }
+
+    return 0;
+}
diff -Naur HairyDairyMaid_WRT54G_Debrick_Utility_v48.orig/Makefile HairyDairyMaid_WRT54G_Debrick_Utility_v48/Makefile
--- HairyDairyMaid_WRT54G_Debrick_Utility_v48.orig/Makefile	2008-02-21 17:42:34.000000000 +0100
+++ HairyDairyMaid_WRT54G_Debrick_Utility_v48/Makefile	2008-02-21 17:26:09.000000000 +0100
@@ -1,11 +1,16 @@
 CFLAGS += -Wall -O2
 
 WRT54GMEMOBJS = wrt54g.o
+BYTESWAPOBJS = byteswap.o
 
-all: wrt54g
+all: wrt54g byteswap
 
 wrt54g: $(WRT54GMEMOBJS)
 	gcc $(CFLAGS) -o $@ $(WRT54GMEMOBJS)
 
+byteswap: $(BYTESWAPOBJS)
+	gcc $(CFLAGS) -o $@ $(BYTESWAPOBJS)
+
 clean:
-	rm -rf *.o wrt54g
+	rm -rf *.o wrt54g byteswap
+
